diff --git a/contrib/bloom/Makefile b/contrib/bloom/Makefile
new file mode 100644
index 13bd397..67d9461
*** a/contrib/bloom/Makefile
--- b/contrib/bloom/Makefile
*************** EXTENSION = bloom
*** 7,14 ****
  DATA = bloom--1.0.sql
  PGFILEDESC = "bloom access method - signature file based index"
  
- REGRESS = bloom
- 
  ifdef USE_PGXS
  PG_CONFIG = pg_config
  PGXS := $(shell $(PG_CONFIG) --pgxs)
--- 7,12 ----
*************** include $(top_builddir)/src/Makefile.glo
*** 20,24 ****
  include $(top_srcdir)/contrib/contrib-global.mk
  endif
  
! wal-check: temp-install
  	$(prove_check)
--- 18,44 ----
  include $(top_srcdir)/contrib/contrib-global.mk
  endif
  
! installcheck: regresscheck-install
! 
! check: regresscheck wal-check
! 
! submake-regress:
! 	$(MAKE) -C $(top_builddir)/src/test/regress all
! 
! submake-bloom:
! 	$(MAKE) -C $(top_builddir)/contrib/bloom
! 
! REGRESSCHECKS=bloom
! 
! regresscheck: | submake-regress submake-bloom temp-install
! 	$(pg_regress_check) $(REGRESSCHECKS)
! 
! regresscheck-install:
! 	$(pg_regress_installcheck) $(REGRESSCHECKS)
! 
! wal-check: | submake-bloom temp-install
  	$(prove_check)
+ 
+ .PHONY: check submake-regress submake-bloom regresscheck wal-check
+ 
+ temp-install: EXTRA_INSTALL=contrib/bloom
